Update a reversal 

Updates the specified reversal by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

This request only accepts metadata and description as arguments.

Parameters

  • metadataobject

    Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to metadata.

Returns

Returns the reversal object if the update succeeded. This call will raise an error if update parameters are invalid.

POST /v1/transfers/:id/reversals/:id
curl https://api.stripe.com/v1/transfers/tr_1Mio2dLkdIwHu7ixsUuCxJpu/reversals/trr_1Mio2eLkdIwHu7ixN5LPJS4a \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-d "metadata[order_id]"=6735
Response
{
"id": "trr_1Mio2eLkdIwHu7ixN5LPJS4a",
"object": "transfer_reversal",
"amount": 400,
"balance_transaction": "txn_1Mio2eLkdIwHu7ixosfrbjhW",
"created": 1678147568,
"currency": "usd",
"destination_payment_refund": "pyr_1Mio2eQ9PRzxEwkZYewpaIFB",
"metadata": {
"order_id": "6735"
},
"source_refund": null,
"transfer": "tr_1Mio2dLkdIwHu7ixsUuCxJpu"
}

Retrieve a reversal 

By default, you can see the 10 most recent reversals stored directly on the transfer object, but you can also retrieve details about a specific reversal stored on the transfer.

Parameters

No parameters.

Returns

Returns the reversal object.

GET /v1/transfers/:id/reversals/:id
curl https://api.stripe.com/v1/transfers/tr_1Mio2dLkdIwHu7ixsUuCxJpu/reversals/trr_1Mio2eLkdIwHu7ixN5LPJS4a \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:"
Response
{
"id": "trr_1Mio2eLkdIwHu7ixN5LPJS4a",
"object": "transfer_reversal",
"amount": 400,
"balance_transaction": "txn_1Mio2eLkdIwHu7ixosfrbjhW",
"created": 1678147568,
"currency": "usd",
"destination_payment_refund": "pyr_1Mio2eQ9PRzxEwkZYewpaIFB",
"metadata": {},
"source_refund": null,
"transfer": "tr_1Mio2dLkdIwHu7ixsUuCxJpu"
}

List all reversals 

You can see a list of the reversals belonging to a specific transfer. Note that the 10 most recent reversals are always available by default on the transfer object. If you need more than those 10, you can use this API method and the limit and starting_after parameters to page through additional reversals.

Parameters

No parameters.

More parameters

  • ending_beforestring

  • limitinteger

  • starting_afterstring

Returns

A dictionary with a data property that contains an array of up to limit reversals, starting after reversal starting_after. Each entry in the array is a separate reversal object. If no more reversals are available, the resulting array will be empty. If you provide a non-existent transfer ID, this call raises an error.

GET /v1/transfers/:id/reversals
curl -G https://api.stripe.com/v1/transfers/tr_1Mio2dLkdIwHu7ixsUuCxJpu/reversals \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-d limit=3
Response
{
"object": "list",
"url": "/v1/transfers/tr_1Mio2dLkdIwHu7ixsUuCxJpu/reversals",
"has_more": false,
"data": [
{
"id": "trr_1Mio2eLkdIwHu7ixN5LPJS4a",
"object": "transfer_reversal",
"amount": 400,
"balance_transaction": "txn_1Mio2eLkdIwHu7ixosfrbjhW",
"created": 1678147568,
"currency": "usd",
"destination_payment_refund": "pyr_1Mio2eQ9PRzxEwkZYewpaIFB",
"metadata": {},
"source_refund": null,
"transfer": "tr_1Mio2dLkdIwHu7ixsUuCxJpu"
}
]
}